Skip to main content
GET
/
get-vessel-management-data
Get Vessel Management Data
curl --request GET \
  --url https://datadocked.com/api/vessels_operations/get-vessel-management-data \
  --header 'x-api-key: <api-key>'
{
  "detail": {
    "name": "<string>",
    "imo": "<string>",
    "mmsi": "<string>",
    "management": {
      "P&I": "<string>",
      "ism": "<string>",
      "ismWeb": "<string>",
      "manager": "<string>",
      "ismEmail": "<string>",
      "ismAddress": "<string>",
      "ismWebsite": "<string>",
      "managerEmail": "<string>",
      "managerAddress": "<string>",
      "managerWebsite": "<string>",
      "registeredOwner": "<string>",
      "registeredOwnerEmail": "<string>",
      "ClassificationSociety": "<string>",
      "registeredOwnerAddress": "<string>",
      "registeredOwnerWebsite": "<string>"
    }
  }
}
Retrieve vessel management information including registered owner, ship manager, ISM manager, P&I club, and classification society.
Credits: 1 credit per request

Response Fields

  • Registered Owner: Company name, address, email, website
  • Ship Manager: Company name, address, email, website
  • ISM Manager: Company name, address, email, website
  • P&I Club: Protection and Indemnity insurance details
  • Classification Society: Class society name

Authorizations

x-api-key
string
header
required

Your personal API key found in your profile dashboard at https://datadocked.com/dashboard/my_keys

Query Parameters

imo_or_mmsi
string
required

The IMO or MMSI number of the vessel you want to query.

Response

Successful response with management data

detail
object